Get Lineage
Retrieve the lineage graph for an entity by ID or fully qualified name
GET
GET /v1/lineage/{entityType}/{id}
Get Lineage
Retrieve the lineage graph for an entity, including upstream and downstream edges. You can query by entity ID or fully qualified name.The Python examples on this page use the original client (
metadata.ingestion.ometa.ometa_api.OpenMetadata) because SDK 2.0 (metadata.sdk) doesn’t include lineage operations. For more information, see Which Python SDK Should I Use?.Get by Entity Type and ID
string
required
Type of the entity. Options:
table, dashboard, pipeline, topic, mlmodel, container, searchIndex, storedProcedure, dashboardDataModel, apiEndpoint.string
required
UUID of the entity to retrieve lineage for.
integer
default:"1"
Number of hops to traverse upstream (min: 0, max: 3).
integer
default:"1"
Number of hops to traverse downstream (min: 0, max: 3).
Get by Entity Type and FQN
UseGET /v1/lineage/{entityType}/name/{fqn} to retrieve lineage by fully qualified name.
string
required
Type of the entity. Options:
table, dashboard, pipeline, topic, mlmodel, container, searchIndex, storedProcedure, dashboardDataModel, apiEndpoint.string
required
Fully qualified name of the entity (e.g.,
sample_data.ecommerce_db.shopify.dim_customer).integer
default:"1"
Number of hops to traverse upstream (min: 0, max: 3).
integer
default:"1"
Number of hops to traverse downstream (min: 0, max: 3).
GET /v1/lineage/{entityType}/{id}
Returns
Returns the lineage graph centered on the requested entity, including upstream and downstream edges up to the specified depth.Response
object
The entity reference for the node at the center of the lineage graph.
array
List of entity references for all nodes in the lineage graph (excluding the center entity).
array
Edges pointing into the center entity (data sources).
array
Edges pointing away from the center entity (data destinations). Same structure as
upstreamEdges.